import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface EcrReplicationConfigurationConfig extends cdktf.TerraformMetaArguments {
    /**
     * replication_configuration block.
     *
     * @stability stable
     */
    readonly replicationConfiguration?: EcrReplicationConfigurationReplicationConfiguration[];
}
/**
 * @stability stable
 */
export interface EcrReplicationConfigurationReplicationConfigurationRuleDestination {
    /**
     * @stability stable
     */
    readonly region: string;
    /**
     * @stability stable
     */
    readonly registryId: string;
}
/**
 * @stability stable
 */
export interface EcrReplicationConfigurationReplicationConfigurationRule {
    /**
     * destination block.
     *
     * @stability stable
     */
    readonly destination: EcrReplicationConfigurationReplicationConfigurationRuleDestination[];
}
/**
 * @stability stable
 */
export interface EcrReplicationConfigurationReplicationConfiguration {
    /**
     * rule block.
     *
     * @stability stable
     */
    readonly rule: EcrReplicationConfigurationReplicationConfigurationRule[];
}
/**
 * @stability stable
 */
export declare class EcrReplicationConfiguration extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: EcrReplicationConfigurationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get registryId(): string;
    private _replicationConfiguration?;
    /**
     * @stability stable
     */
    get replicationConfiguration(): EcrReplicationConfigurationReplicationConfiguration[];
    /**
     * @stability stable
     */
    set replicationConfiguration(value: EcrReplicationConfigurationReplicationConfiguration[]);
    /**
     * @stability stable
     */
    resetReplicationConfiguration(): void;
    /**
     * @stability stable
     */
    get replicationConfigurationInput(): EcrReplicationConfigurationReplicationConfiguration[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
